gleHelicoid(3GLE)

NAME
gleHelicoid - Generalized torus, spiral with circle contour.

SYNTAX

void gleHelicoid (gleDouble rToroid,
                  gleDouble up[3],
                  gleDouble startRadius,
                  gleDouble drdTheta,
                  gleDouble startZ,
                  gleDouble dzdTheta,
                  gleDouble startXform[2][3],
                  gleDouble dXformdTheta[2][3],
                  gleDouble startTheta,
                  gleDouble sweepTheta);

ARGUMENTS

rToroid
    circle contour (torus) radius

startRadius
    spiral starts in x-y plane

drdTheta
    change in radius per revolution

startZ
    starting z value

dzdTheta
    change in Z per revolution

startXform
    starting contour affine transformation

dXformdTheta
    tangent change xform per revolution

startTheta
    start angle in x-y plane

sweepTheta
    degrees to spiral around

DESCRIPTION

Generalized Torus. Similar to gleSpiral, except contour is a circle. Uses gleSpiral to draw.

SEE ALSO
gleSpiral, gleToroid

AUTHOR
Linas Vepstas (linas@linas.org)